Qt 5.6 | Qt Widgets | C++ Classes | ExtraSelection

Qt 5.6.2 Reference Documentation

# ExtraSelection Class

(QTextEdit::ExtraSelection)

The QTextEdit::ExtraSelection structure provides a way of specifying a character format for a given selection in a document More...

Header: | #include <ExtraSelection>
qmake: | QT += widgets
Since: | Qt 4.2

- List of all members, including inherited members

## Public Variables

QTextCursor | cursor
QTextCharFormat | format

## Detailed Description

The QTextEdit::ExtraSelection structure provides a way of specifying a character format for a given selection in a document

## Member Variable Documentation

### QTextCursor ExtraSelection::cursor

A cursor that contains a selection in a QTextDocument

### QTextCharFormat ExtraSelection::format

A format that is used to specify a foreground or background brush/color for the selection.